API Explorer 891 endpoints

Create new certification_on_chain

POST /obp/dynamic-entity/banks/ogcr/certification_on_chain

OBPv4.0.0-dynamicEntity_createcertification_on_chain_ogcr Roles: CanCreateDynamicEntityRecord_certification_on_chain(per bank) _Certification_on_chain(ogcr)Dynamic-EntityDynamic

Create new certification_on_chain.

Cache of CertificationNFT data minted on the OGCR chain (chain id 20253). One record per certificate_of_compliance_id (a re-certification is a new certificate and a new record), populated by OGCR-chain-cache reading the chain.

Property List:

  • activity_hash: activity_hash stored on-chain: keccak256 of the raw activity entity body.
  • activity_id: activity_id of the certified activity as stored on-chain.
  • activity_name: Activity name as stored on-chain.
  • activity_nft_id: ActivityNFT token id this certification references (stored on-chain).
  • activity_uri: activity_uri stored on-chain: link back to the OBP activity entity.
  • audit_report_hash: audit_report_hash stored on-chain: keccak256 of the raw audit_report entity body.
  • audit_report_uri: audit_report_uri stored on-chain: link back to the OBP audit_report entity.
  • block_number: Block number the mint was included in.
  • carbon_farming_net_soil_emission_reduction_benefit: carbon_farming_net_soil_emission_reduction_benefit as recorded on the certificate: a decimal string in tonnes CO2e. Empty when the certificate carries no value.
  • carbon_farming_temporary_net_carbon_removal_benefit: carbon_farming_temporary_net_carbon_removal_benefit as recorded on the certificate: a decimal string in tonnes CO2e. Empty when the certificate carries no value.
  • carbon_removals_under_baseline: carbon_removals_under_baseline as recorded on the certificate: a decimal string in tonnes CO2e. Empty when the certificate carries no value.
  • carbon_storage_temporary_net_carbon_removal_benefit: carbon_storage_temporary_net_carbon_removal_benefit as recorded on the certificate: a decimal string in tonnes CO2e. Empty when the certificate carries no value.
  • certificate_of_compliance_hash: certificate_of_compliance_hash stored on-chain: keccak256 of the raw certificate_of_compliance entity body.
  • certificate_of_compliance_id: Links to the certificate_of_compliance dynamic entity. The on-chain CertificationNFT is keyed by this id.
  • certificate_of_compliance_uri: certificate_of_compliance_uri stored on-chain: link back to the OBP certificate_of_compliance entity.
  • certification_body_hash: certification_body_hash stored on-chain: keccak256 of the raw certification_body entity body.
  • certification_body_name: Certification body name as stored on-chain.
  • certification_body_uri: certification_body_uri stored on-chain: link back to the OBP certification_body entity.
  • certification_scheme_hash: certification_scheme_hash stored on-chain: keccak256 of the raw certification_scheme entity body.
  • certification_scheme_name: Certification scheme name as stored on-chain.
  • certification_scheme_uri: certification_scheme_uri stored on-chain: link back to the OBP certification_scheme entity.
  • certification_status: Certification status as stored on-chain.
  • chain_id: EVM chain id (OGCR chain = 20253).
  • contract_address: CertificationNFT contract address the token was read from.
  • country_id: Country id as stored on-chain.
  • expiry_date: Certification expiry date as stored on-chain.
  • issue_date: Certification issue date as stored on-chain.
  • owner_address: Current owner of the NFT (operator OGCR wallet address).
  • permanent_net_carbon_removal_benefit: permanent_net_carbon_removal_benefit as recorded on the certificate: a decimal string in tonnes CO2e. Empty when the certificate carries no value.
  • soil_emissions_under_baseline: soil_emissions_under_baseline as recorded on the certificate: a decimal string in tonnes CO2e. Empty when the certificate carries no value.
  • token_id: CertificationNFT token id minted for this certificate.
  • token_uri: tokenURI of the NFT (ERC721 metadata data-URI).
  • tx_hash: Mint transaction hash (from the CertificationMinted event).
  • unit_types: Unit types of the certificate as stored on-chain.

MethodRouting settings example:

<details>

{
  "is_bank_id_exact_match":false,
  "method_name":"dynamicEntityProcess",
  "connector_name":"rest_vMar2019",
  "bank_id_pattern":".*",
  "parameters":[
    {
        "key":"entityName",
        "value":"certification_on_chain"
    }
    {
        "key":"url",
        "value":"http://mydomain.com/xxx"
    }
  ]
}

</details>

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

Example request body
{
  "activity_hash": "0x0000000000000000000000000000000000000000000000000000000000000000",
  "activity_id": "activity_AB12CD34EF",
  "activity_name": "Reforestation 2024",
  "activity_nft_id": 1,
  "activity_uri": "https://dcr.ogcr.tesobe.com/obp/dynamic-entity/banks/ogcr/activity/activity_AB12CD34EF",
  "audit_report_hash": "0x0000000000000000000000000000000000000000000000000000000000000000",
  "audit_report_uri": "https://dcr.ogcr.tesobe.com/obp/dynamic-entity/banks/ogcr/audit_report/audit_report_01",
  "block_number": 12345,
  "carbon_farming_net_soil_emission_reduction_benefit": "10.5",
  "carbon_farming_temporary_net_carbon_removal_benefit": "10.5",
  "carbon_removals_under_baseline": "10.5",
  "carbon_storage_temporary_net_carbon_removal_benefit": "10.5",
  "certificate_of_compliance_hash": "0x0000000000000000000000000000000000000000000000000000000000000000",
  "certificate_of_compliance_id": "coc_AB12CD34EF",
  "certificate_of_compliance_uri": "https://dcr.ogcr.tesobe.com/obp/dynamic-entity/banks/ogcr/certificate_of_compliance/coc_AB12CD34EF",
  "certification_body_hash": "0x0000000000000000000000000000000000000000000000000000000000000000",
  "certification_body_name": "Example Certification Body",
  "certification_body_uri": "https://dcr.ogcr.tesobe.com/obp/dynamic-entity/banks/ogcr/certification_body/body_VERRA",
  "certification_scheme_hash": "0x0000000000000000000000000000000000000000000000000000000000000000",
  "certification_scheme_name": "Example Certification Scheme",
  "certification_scheme_uri": "https://dcr.ogcr.tesobe.com/obp/dynamic-entity/banks/ogcr/certification_scheme/scheme_SALUS",
  "certification_status": "certified",
  "chain_id": 20253,
  "contract_address": "0x2e335F247E91caa168c64b63104C4475b2af3942",
  "country_id": "DK",
  "expiry_date": "2029-06-01",
  "issue_date": "2024-06-01",
  "owner_address": "0x30753E4A8aad7F8597332E813735Def5dD395028",
  "permanent_net_carbon_removal_benefit": "10.5",
  "soil_emissions_under_baseline": "10.5",
  "token_id": 1,
  "token_uri": "data:application/json;base64,eyJuYW1lIjoiQ2VydCJ9",
  "tx_hash": "0x0000000000000000000000000000000000000000000000000000000000000000",
  "unit_types": "Permanent Removal"
}
Example success response
{
  "bank_id": "ogcr",
  "certification_on_chain": {
    "certification_on_chain_id": "d8839721-ad8f-45dd-9f78-2080414b93f9",
    "activity_hash": "0x0000000000000000000000000000000000000000000000000000000000000000",
    "activity_id": "activity_AB12CD34EF",
    "activity_name": "Reforestation 2024",
    "activity_nft_id": 1,
    "activity_uri": "https://dcr.ogcr.tesobe.com/obp/dynamic-entity/banks/ogcr/activity/activity_AB12CD34EF",
    "audit_report_hash": "0x0000000000000000000000000000000000000000000000000000000000000000",
    "audit_report_uri": "https://dcr.ogcr.tesobe.com/obp/dynamic-entity/banks/ogcr/audit_report/audit_report_01",
    "block_number": 12345,
    "carbon_farming_net_soil_emission_reduction_benefit": "10.5",
    "carbon_farming_temporary_net_carbon_removal_benefit": "10.5",
    "carbon_removals_under_baseline": "10.5",
    "carbon_storage_temporary_net_carbon_removal_benefit": "10.5",
    "certificate_of_compliance_hash": "0x0000000000000000000000000000000000000000000000000000000000000000",
    "certificate_of_compliance_id": "coc_AB12CD34EF",
    "certificate_of_compliance_uri": "https://dcr.ogcr.tesobe.com/obp/dynamic-entity/banks/ogcr/certificate_of_compliance/coc_AB12CD34EF",
    "certification_body_hash": "0x0000000000000000000000000000000000000000000000000000000000000000",
    "certification_body_name": "Example Certification Body",
    "certification_body_uri": "https://dcr.ogcr.tesobe.com/obp/dynamic-entity/banks/ogcr/certification_body/body_VERRA",
    "certification_scheme_hash": "0x0000000000000000000000000000000000000000000000000000000000000000",
    "certification_scheme_name": "Example Certification Scheme",
    "certification_scheme_uri": "https://dcr.ogcr.tesobe.com/obp/dynamic-entity/banks/ogcr/certification_scheme/scheme_SALUS",
    "certification_status": "certified",
    "chain_id": 20253,
    "contract_address": "0x2e335F247E91caa168c64b63104C4475b2af3942",
    "country_id": "DK",
    "expiry_date": "2029-06-01",
    "issue_date": "2024-06-01",
    "owner_address": "0x30753E4A8aad7F8597332E813735Def5dD395028",
    "permanent_net_carbon_removal_benefit": "10.5",
    "soil_emissions_under_baseline": "10.5",
    "token_id": 1,
    "token_uri": "data:application/json;base64,eyJuYW1lIjoiQ2VydCJ9",
    "tx_hash": "0x0000000000000000000000000000000000000000000000000000000000000000",
    "unit_types": "Permanent Removal"
  }
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-10001: Incorrect json format.
  • OBP-50000: Unknown Error.
Implemented by OBPv4.0.0 dynamicEntity_createcertification_on_chain_ogcr Originally /banks/ogcr/certification_on_chain